package de.intevation.flys.client.client.ui.chart;

import com.google.gwt.core.client.GWT;

import com.smartgwt.client.widgets.Window;
import com.smartgwt.client.widgets.layout.VLayout;
import com.smartgwt.client.widgets.layout.HLayout;
import com.smartgwt.client.widgets.Button;

import com.smartgwt.client.widgets.events.ClickEvent;
import com.smartgwt.client.widgets.events.ClickHandler;

import de.intevation.flys.client.shared.model.Collection;
import de.intevation.flys.client.shared.model.CollectionItemAttribute;
import de.intevation.flys.client.client.ui.CollectionView;

import de.intevation.flys.client.client.FLYSConstants;

/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class StyleEditorWindow
extends Window
implements ClickHandler
{
    /** The interface that provides i18n messages. */
    protected FLYSConstants MSG = GWT.create(FLYSConstants.class);

    /** The collection */
    protected Collection collection;

    /** The parent collection view */
    protected CollectionView view;

    /** The attributes */
    protected CollectionItemAttribute attributes;

    /** Main layout */
    protected VLayout layout;


    public StyleEditorWindow (
        Collection collection,
        CollectionItemAttribute attributes)
    {
        this.collection = collection;
        this.attributes = attributes;
        this.layout = new VLayout();

        init();
        initPanels();
    }


    protected void init() {
        setTitle(MSG.properties());
        setWidth(250);

        setCanDragReposition(true);
        setCanDragResize(true);
        setKeepInParentRect(true);

        layout.setWidth100();
        layout.setHeight100();

    }


    protected void initPanels() {
        HLayout buttons = new HLayout();
        Button accept = new Button(MSG.label_ok());
        Button cancel = new Button(MSG.label_cancel());
        cancel.addClickHandler(this);


        buttons.addMember(accept);
        buttons.addMember(cancel);
        layout.addMember(buttons);

        addItem(layout);
    }


    public void setCollectionView (CollectionView view) {
        this.view = view;
        setParentElement(this.view.getParentElement());
    }


    public void onClick(ClickEvent event) {
        this.hide();
    }
}
